View Issue Details

IDProjectCategoryView StatusLast Update
0004242SymmetricDSBugpublic2020-01-23 15:42
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.11.0 
Target Version3.11.4Fixed in Version3.11.4 
Summary0004242: Jdbc Batch Loader support for MSSQL Identity Inserts and IllegalStateExceptions
DescriptionIf the jdbc batch bulk loader is used with MSSQL server it does not handle identity inserts properly and will fall back to default every time.

It also does not clear batches currently added if an error occurs with causes issues during fallback on the existing transaction.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.11 6d81b77a

2020-01-15 16:28:35

josh-a-hicks

Details Diff
0004242: Jdbc Batch Loader support for MSSQL Identity Inserts and
IllegalStateExceptions

0004242
mod - symmetric-android/src/main/java/org/jumpmind/symmetric/android/AndroidSqlTransaction.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/AbstractBulkDatabaseWriter.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/JdbcBatchBulkDatabaseWriter.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/cassandra/CassandraSqlTransaction.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/ISqlTransaction.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriter.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSqlJdbcSqlTransaction.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTransaction.java Diff File

SymmetricDS: 3.11 1bc2c6ea

2020-01-17 14:11:09

josh-a-hicks

Details Diff
0004242: Jdbc Batch Loader support for MSSQL Identity Inserts and
IllegalStateExceptions

0004242
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/JdbcBatchBulkDatabaseWriter.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTransaction.java Diff File

SymmetricDS: 3.11 803fae2b

2020-01-17 14:11:17

josh-a-hicks

Details Diff
0004242: Jdbc Batch Loader support for MSSQL Identity Inserts and
IllegalStateExceptions

0004242
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriter.java Diff File

Issue History

Date Modified Username Field Change
2020-01-15 16:26 josh-a-hicks New Issue
2020-01-15 16:26 josh-a-hicks Status new => assigned
2020-01-15 16:26 josh-a-hicks Assigned To => josh-a-hicks
2020-01-17 15:00 josh-a-hicks Changeset attached => SymmetricDS 3.11 803fae2b
2020-01-17 15:00 josh-a-hicks Changeset attached => SymmetricDS 3.11 1bc2c6ea
2020-01-17 15:00 josh-a-hicks Changeset attached => SymmetricDS 3.11 6d81b77a
2020-01-22 13:57 josh-a-hicks Status assigned => resolved
2020-01-22 13:57 josh-a-hicks Resolution open => fixed
2020-01-22 13:57 josh-a-hicks Fixed in Version => 3.11.4
2020-01-23 15:42 admin Status resolved => closed